Issue 119951 - Animation effect still exist after the shape grouped.
Animation effect still exist after the shape grouped.
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: open-import
3.4.0
All All
: P3 major (vote)
: 4.0.0
Assigned To: WangZhe
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 06:21 UTC by WangZhe
Modified: 2013-07-11 13:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Code fix patch (652 bytes, patch)
2012-06-13 07:17 UTC, WangZhe
awf.aoo: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description WangZhe 2012-06-12 06:21:30 UTC
Steps:

1.Launch AOO3.4.0, new a Presentation document.
2.Insert a shape, add an animation effect for it, set "Effect Options->Timing->Trigger->Start effect on click of" to "Shape...".
3.Insert another shape, then group the two shapes(Now, the animation effect disappeared).
4.Save and close the doc, reopen it then check.

Defect: The animation effect that you set in step 2 still exist in "Animation Effects" sidebar panel.
Comment 1 WangZhe 2012-06-13 07:17:39 UTC
Created attachment 78287 [details]
Code fix patch
Comment 2 Andre 2012-06-13 12:02:53 UTC
I can reproduce the bug and verify the fix.
Please go ahead and commit it.
Comment 3 Andre 2012-06-13 12:04:06 UTC
Comment on attachment 78287 [details]
Code fix patch

Reviewed: OK
Comment 4 WangZhe 2012-06-20 06:59:35 UTC
Resolved at revision: 1351948
Comment 5 Li Feng Wang 2012-08-30 07:28:02 UTC
Verify pass on AOO trunk r1378003.